Search found 2879 matches

Go to advanced search

by ickby
Tue Jun 04, 2019 3:15 pm
Forum: Open discussion
Topic: Shapebinder Missing Exposed ViewObject Properties
Replies: 4
Views: 103

Re: Shapebinder Missing Exposed ViewObject Properties

The basic idea was to disable all color properties for the shape binder so that it always looks like all other datum planes/lines/points and is clearly visual identifiable as a datum. So I would vote for disabling that visible property too :) It would be nice to have a central set of "datum view" pr...
by ickby
Mon Jun 03, 2019 11:27 am
Forum: Developers corner
Topic: Function when a workbench opens a new file.
Replies: 12
Views: 365

Re: Function when a workbench opens a new file.

I only extended the system sligthly. Have a look at the test cases , there you get a good impression how to use the observers. They are registered in the tests setup method and unregistered in the tests teardown method With your code I don't get the same error, and the objects are created after open...
by ickby
Mon Jun 03, 2019 6:29 am
Forum: Python scripting and macros
Topic: [obsolete] Non-persistent tree objects ?
Replies: 5
Views: 182

Re: Non-persistent tree objects ?

I assume you want the content to not be safed, but the object still be there if the document is reloaded? I think you can do that by setting the properties to "transient". Then the property content is not stored, only the meta information it needs to recreate the object correctly.
by ickby
Fri May 24, 2019 8:11 am
Forum: Announcements & Features
Topic: New Workbench MeshTools now renamed 3D Printing Tools
Replies: 18
Views: 1130

Re: New Workbench MeshTools

HarryGeier wrote:
Fri May 24, 2019 7:59 am
Who maintains MESH Workbench ?
Werner himself maintains and extends it
by ickby
Tue May 21, 2019 9:36 am
Forum: Python scripting and macros
Topic: Importing FreeCAD in an external project environment
Replies: 19
Views: 556

Re: Importing FreeCAD in an external project environment

This sound like a version mismatch between your system python and FreeCAD python. An ABI interface change would lead to such errors. In your FreeCAD info we see it uses 3.6.7, could you check what your system version is? If they do not match it is basically impossible to use freecad as library in a ...
by ickby
Mon May 20, 2019 6:51 pm
Forum: Developers corner
Topic: circular arcs in coin3d
Replies: 2
Views: 121

Re: circular arcs in coin3d

OpenGL cannot do arcs or any curved geometry. It ist all triangles and Line Segments. So that is basically what you need to go for and approximate a circle to line segments. The coin spline classes do the same, and I don't think it would be useful to approximate a circle with a spline to be approxim...
by ickby
Thu May 16, 2019 6:04 am
Forum: Python scripting and macros
Topic: Add property to object for lens modelling
Replies: 11
Views: 321

Re: Add property to object for lens modelling

tomatix7 wrote:
Wed May 15, 2019 4:05 pm
I tried to do it with materials, but I couldn't figure out how this works. I can create a scripted object, but I don't manage to create a part object with refractive index property.
What is wrong with the provided example? it creates a Part object with custom properties.
by ickby
Thu May 16, 2019 4:40 am
Forum: FEM
Topic: FEM post processing pipeline with scalar value export .obj .stl
Replies: 22
Views: 557

Re: FEM post processing pipeline with scalar value export .obj .stl

Kurt has a package on the daily PPA that I think fixes this https://launchpad.net/~freecad-maintainers/+archive/ubuntu/freecad-daily I would suggest to pull all the dependencies from there. I think this all works now, but its only 1 day old. Thanks, that worked perfectly! I was able to expose the v...
by ickby
Wed May 15, 2019 12:41 pm
Forum: Python scripting and macros
Topic: Add property to object for lens modelling
Replies: 11
Views: 321

Re: Add property to object for lens modelling

But we do have Material module... And refractive index is a material property. There should be a way to use material module for the purpose; if there isn't, we shold look into how to improve it.
Thats a good idee! Maybe bernd knows how to use it, he worked heavily on it
bernd wrote: Ping
by ickby
Wed May 15, 2019 10:52 am
Forum: Python scripting and macros
Topic: Add property to object for lens modelling
Replies: 11
Views: 321

Re: Add property to object for lens modelling

You need to create a scripted object: class Lens: def __init__(self, obj): obj.addProperty("App::PropertyFloat", "Refractive index", "Lens Workbench").Refractive_index = 1.0 obj.Proxy = self FreeCAD.newDocument() a=FreeCAD.ActiveDocument.addObject("Part::FeaturePython","MyLens") Lens(a) https://www....

Go to advanced search